
package de.ivu.elect.presentation.benutzerverwaltung.menu;

import javax.inject.Inject;

import de.ivu.elect.business.benutzerverwaltung.entity.RechteKonfigurationMeta;
import de.ivu.elect.jee.entity.Meta;
import de.ivu.elect.presentation.benutzerverwaltung.exchange.RechteKonfigurationExportDescription;
import de.ivu.elect.presentation.exchange.ExportDescription;
import de.ivu.elect.presentation.exchange.menu.AbstractExportMenuItemEntry;

public class RechteKonfigurationExportMenuItemEntry extends AbstractExportMenuItemEntry {

  private static final long serialVersionUID = 1L;

  @Inject
  private RechteKonfigurationMeta meta;

  @Inject
  private RechteKonfigurationExportDescription rechteKonfigurationExportDescription;

  public RechteKonfigurationExportMenuItemEntry() {
    super();
  }

  @Override
  protected ExportDescription getExportDescription() {
    return rechteKonfigurationExportDescription;
  }

  @Override
  protected Meta getMeta() {
    return meta;
  }
}
